$if not defined kplot file kplot /matplot.m/; put kplot;
$if not defined tickcount scalar tickcount/0/;

loop((%2,%3)$%1(%2,%3),
  file.nr=0; file.nw=3; file.nd=0; 
  put '%1(',ord(%2),',',ord(%3)') =';
  file.lw=0; file.nr=2; file.nw=22; file.nd=14; 
  if (%1(%2,%3) eq NA,
    put 'NaN;'/;
  else
    put %1(%2,%3),';'/;
  );
);

put 'xrange=1:length(%1);'/;
put 'plot(xrange,%1);'/;
put 'legend(';
$if not setglobal legend $set legend -1
loop(%3, put "'",%3.tl,"',"; ); put '%legend%);'/;

$if not setglobal gp_xl $goto options

loop(%2$%gp_xl%(%2), 
  tickcount = tickcount + 1;
  file.nr=0; file.nw=3; file.nd=0; 
  put "xtick(",tickcount,")=xrange(",ord(%2),");"/;
);
put "set(gca,'XTick',xtick);"/;
put "set(gca,'XTickLabel',{";
loop(%gp_xl%,
  put "'",%gp_xl%.te(%gp_xl%),"'";
  if (ord(%gp_xl%) ne card(%gp_xl%), put ',';);
);
put "});"/;

$label options
$if setglobal matplot_1 put "%matplot_1%"/;
$if setglobal matplot_2 put "%matplot_2%"/;
$if setglobal matplot_3 put "%matplot_3%"/;
$if setglobal matplot_4 put "%matplot_4%"/;
$if setglobal matplot_5 put "%matplot_5%"/;
$if setglobal matplot_6 put "%matplot_6%"/;

putclose;

execute 'matplot';
